{
  "compilerOptions": {
    "target": "ES2022",
    "module": "ESNext",
    "lib": [
      "ES2022",
      "DOM",
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "moduleResolution": "bundler",
    "esModuleInterop": true,
    "jsx": "preserve",
    "strict": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "strictNullChecks": true,
    "alwaysStrict": true,
    "exactOptionalPropertyTypes": false,
    "noUncheckedIndexedAccess": false,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "baseUrl": ".",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "incremental": true,
    "noEmitOnError": true,
    "allowJs": true,
    "plugins": [
      {
        "name": "next"
      }
    ],
    "paths": {
      "@/*": [
        "./*"
      ],
      "@testing/*": [
        "../../adapters/testing/*"
      ],
      "@/lib/dtos": [
        "./lib/dtos"
      ],
      "@/lib/view-models": [
        "./lib/view-models"
      ],
      "@/lib/presenters": [
        "./lib/presenters"
      ],
      "@/lib/services": [
        "./lib/services"
      ],
      "@/lib/api": [
        "./lib/api"
      ],
      "@/lib/types": [
        "./lib/types"
      ]
    }
  },
  "include": [
    "app/",
    "components/",
    "ui/",
    "templates/",
    "hooks/",
    "client-wrapper/",
    "lib/",
    "next-env.d.ts",
    "env.d.ts",
    "types/",
    "utilities/",
    ".next/types/**/*.ts"
  ],
  "exclude": [
    "**/*.test.ts",
    "**/*.test.tsx",
    "**/*.spec.ts",
    "**/*.spec.tsx",
    "**/__tests__/**",
    "../../core/**",
    "../../apps/api/**",
    "../../scripts/**",
    "../../testing/**",
    "../../html-dumps/**",
    "../../html-dumps-optimized/**",
    "../../nginx/**",
    "../../plans/**",
    "../../resources/**",
    "../../docs/**",
    "node_modules",
    ".next"
  ]
}
